## qt6-imageformats 6.9.2

=== tests/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()
qt_build_tests()

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


if(QT_FEATURE_system_zlib)
    add_subdirectory(mng)
    add_subdirectory(tiff)
endif()

=== src/plugins/imageformats/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_feature_module_begin(
    NO_MODULE
    PUBLIC_FILE "qtimageformats-config.h"
    PRIVATE_FILE "qtimageformats-config_p.h"
)
include(../../imageformats/configure.cmake)
qt_feature_module_end(NO_MODULE)

add_subdirectory(tga)
add_subdirectory(wbmp)
if(QT_FEATURE_tiff)
    add_subdirectory(tiff)
endif()
if(QT_FEATURE_webp)
    add_subdirectory(webp)
endif()
if(APPLE)
    add_subdirectory(macheif)
endif()
if(QT_FEATURE_regularexpression)
    add_subdirectory(icns)
endif()
if(QT_FEATURE_mng)
    add_subdirectory(mng)
endif()
if(QT_FEATURE_jasper)
    add_subdirectory(jp2)
endif()
if(APPLE AND NOT QT_FEATURE_jasper)
    add_subdirectory(macjp2)
endif()

=== tests/auto/heif/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qheif Test:
#####################################################################

qt_internal_add_test(tst_qheif
    SOURCES
        tst_qheif.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(heif_resource_files
    "../../shared/images/heif/col320x480.heic"
    "../../shared/images/heif/newlogoCCW.heic"
)

qt_internal_add_resource(tst_qheif "heif"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${heif_resource_files}
)

=== tests/auto/icns/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_qicns Test:
#####################################################################

qt_internal_add_test(tst_qicns
    SOURCES
        tst_qicns.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(icns_resource_files
    "../../shared/images/icns/test-32bit.icns"
    "../../shared/images/icns/test-jp2.icns"
    "../../shared/images/icns/test-legacy.icns"
    "../../shared/images/icns/test-png.icns"
    "../../shared/images/icns/test-variants.icns"
    "../../shared/images/icns/test-write-1024.png"
    "../../shared/images/icns/test-write-128.png"
    "../../shared/images/icns/test-write-16.png"
    "../../shared/images/icns/test-write-256.png"
    "../../shared/images/icns/test-write-32.png"
    "../../shared/images/icns/test-write-512.png"
    "../../shared/images/icns/test-write-64.png"
)

qt_internal_add_resource(tst_qicns "icns"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${icns_resource_files}
)

=== tests/auto/jp2/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qjp2 Test:
#####################################################################

qt_internal_add_test(tst_qjp2
    SOURCES
        tst_qjp2.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(jp2_resource_files
    "../../shared/images/jp2/logo.bmp"
    "../../shared/images/jp2/logo.jp2"
)

qt_internal_add_resource(tst_qjp2 "jp2"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${jp2_resource_files}
)

=== tests/auto/tiff/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause


#####################################################################
## tst_qtiff Test:
#####################################################################

qt_internal_add_test(tst_qtiff
    SOURCES
        tst_qtiff.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(tiff_resource_files
    "../../shared/images/tiff/16bpc.tiff"
    "../../shared/images/tiff/big_16bpc.tiff"
    "../../shared/images/tiff/big_grayscale.tiff"
    "../../shared/images/tiff/big_rgb.tiff"
    "../../shared/images/tiff/big_rgb_bigendian.tiff"
    "../../shared/images/tiff/colorful.bmp"
    "../../shared/images/tiff/corrupt-data.tif"
    "../../shared/images/tiff/gray16.tiff"
    "../../shared/images/tiff/grayscale-ref.tif"
    "../../shared/images/tiff/grayscale.tif"
    "../../shared/images/tiff/image.tif"
    "../../shared/images/tiff/image_100dpi.tif"
    "../../shared/images/tiff/indexed_orientation_1.tiff"
    "../../shared/images/tiff/indexed_orientation_2.tiff"
    "../../shared/images/tiff/indexed_orientation_3.tiff"
    "../../shared/images/tiff/indexed_orientation_4.tiff"
    "../../shared/images/tiff/indexed_orientation_5.tiff"
    "../../shared/images/tiff/indexed_orientation_6.tiff"
    "../../shared/images/tiff/indexed_orientation_7.tiff"
    "../../shared/images/tiff/indexed_orientation_8.tiff"
    "../../shared/images/tiff/mono_orientation_1.tiff"
    "../../shared/images/tiff/mono_orientation_2.tiff"
    "../../shared/images/tiff/mono_orientation_3.tiff"
    "../../shared/images/tiff/mono_orientation_4.tiff"
    "../../shared/images/tiff/mono_orientation_5.tiff"
    "../../shared/images/tiff/mono_orientation_6.tiff"
    "../../shared/images/tiff/mono_orientation_7.tiff"
    "../../shared/images/tiff/mono_orientation_8.tiff"
    "../../shared/images/tiff/multipage.tiff"
    "../../shared/images/tiff/oddsize_grayscale.tiff"
    "../../shared/images/tiff/oddsize_mono.tiff"
    "../../shared/images/tiff/original_grayscale.tiff"
    "../../shared/images/tiff/original_indexed.tiff"
    "../../shared/images/tiff/original_mono.tiff"
    "../../shared/images/tiff/original_rgb.tiff"
    "../../shared/images/tiff/rgb_orientation_1.tiff"
    "../../shared/images/tiff/rgb_orientation_2.tiff"
    "../../shared/images/tiff/rgb_orientation_3.tiff"
    "../../shared/images/tiff/rgb_orientation_4.tiff"
    "../../shared/images/tiff/rgb_orientation_5.tiff"
    "../../shared/images/tiff/rgb_orientation_6.tiff"
    "../../shared/images/tiff/rgb_orientation_7.tiff"
    "../../shared/images/tiff/rgb_orientation_8.tiff"
    "../../shared/images/tiff/rgba_adobedeflate_littleendian.tif"
    "../../shared/images/tiff/rgba_lzw_littleendian.tif"
    "../../shared/images/tiff/rgba_nocompression_bigendian.tif"
    "../../shared/images/tiff/rgba_nocompression_littleendian.tif"
    "../../shared/images/tiff/rgba_packbits_littleendian.tif"
    "../../shared/images/tiff/rgba_zipdeflate_littleendian.tif"
    "../../shared/images/tiff/teapot.tiff"
    "../../shared/images/tiff/teapot_cmyk.tiff"
    "../../shared/images/tiff/tiled_grayscale.tiff"
    "../../shared/images/tiff/tiled_indexed.tiff"
    "../../shared/images/tiff/tiled_mono.tiff"
    "../../shared/images/tiff/tiled_oddsize_grayscale.tiff"
    "../../shared/images/tiff/tiled_oddsize_mono.tiff"
    "../../shared/images/tiff/tiled_rgb.tiff"
)

qt_internal_add_resource(tst_qtiff "tiff"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${tiff_resource_files}
)

=== tests/auto/wbmp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qwbmp Test:
#####################################################################

qt_internal_add_test(tst_qwbmp
    SOURCES
        tst_qwbmp.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(wbmp_resource_files
    "../../shared/images/wbmp/qt-logo-big.wbmp"
    "../../shared/images/wbmp/qt-logo-small.wbmp"
)

qt_internal_add_resource(tst_qwbmp "wbmp"
    PREFIX
        "/"
    BASE
        "../../shared/images"
    FILES
        ${wbmp_resource_files}
)

=== tests/auto/webp/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qwebp Test:
#####################################################################

qt_internal_add_test(tst_qwebp
    SOURCES
        tst_qwebp.cpp
    LIBRARIES
        Qt::Gui
)

# Resources:
set(webp_resource_files
    "images/kollada.png"
    "images/kollada.webp"
    "images/kollada_animation.webp"
    "images/kollada_lossless.webp"
    "images/kollada_noalpha.webp"
)

qt_internal_add_resource(tst_qwebp "webp"
    PREFIX
        "/"
    FILES
        ${webp_resource_files}
)

=== src/plugins/imageformats/macjp2/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QMacJp2Plugin Plugin:
#####################################################################

qt_internal_add_plugin(QMacJp2Plugin
    OUTPUT_NAME qmacjp2
    PLUGIN_TYPE imageformats
    SOURCES
        ../shared/qiiofhelpers.cpp ../shared/qiiofhelpers_p.h
        main.cpp
        qmacjp2handler.cpp qmacjp2handler.h
    INCLUDE_DIRECTORIES
        ../shared
    DEFINES
        NS_IIOF_HELPERS=QMacJp2
    LIBRARIES
        ${FWCoreFoundation}
        ${FWCoreGraphics}
        ${FWImageIO}
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
)

=== src/plugins/imageformats/mng/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QMngPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QMngPlugin
    OUTPUT_NAME qmng
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qmnghandler.cpp qmnghandler_p.h
    LIBRARIES
        Libmng::Libmng
        Qt::Core
        Qt::Gui
)

=== src/plugins/imageformats/tga/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QTgaPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QTgaPlugin
    OUTPUT_NAME qtga
    PLUGIN_TYPE imageformats
    SOURCES
        main.cpp
        qtgafile.cpp qtgafile.h
        qtgahandler.cpp qtgahandler.h
    LIBRARIES
        Qt::Core
        Qt::Gui
)

=== debian/changelog ===
qt6-imageformats (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 11:03:42 +0100

qt6-imageformats (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:44:55 +0200

qt6-imageformats (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Thu, 04 Sep 2025 18:54:30 +0200

=== debian/control ===
Source: qt6-imageformats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.24~),
               libgl-dev,
               libmng-dev,
               libtiff-dev,
               libwebp-dev,
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-base-private-dev (>= 6.9.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats

Package: qt6-image-formats-plugins
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

Package: qt6-imageformats-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 image formats plugins.

Package: qt6-imageformats-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 image formats
 plugins.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtimageformats-everywhere-src-(.*)\.tar\.xz

## qt6-imageformats 6.9.3

=== debian/changelog ===
qt6-imageformats (6.9.3-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 16 Nov 2025 01:57:26 +0000

qt6-imageformats (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-imageformats (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 14:16:09 +1000

qt6-imageformats (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:13:26 +1000

qt6-imageformats (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 23:45:40 +1000

qt6-imageformats (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:19:03 +1000

qt6-imageformats (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:22:05 +1000

qt6-imageformats (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:35:24 +1000

qt6-imageformats (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:46:41 +1000

qt6-imageformats (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 10:03:19 +1000

qt6-imageformats (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 21:16:43 +1000

qt6-imageformats (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 23:02:32 +0100

## qt6-imageformats 6.10.0

=== debian/changelog ===
qt6-imageformats (6.10.0-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 17 Nov 2025 08:25:26 +0000

qt6-imageformats (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:13 +1000

=== debian/control ===
Source: qt6-imageformats
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libjasper-dev,
               libmng-dev,
               libtiff-dev,
               libwebp-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~)
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-imageformats.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-imageformats
Maintainer: Neon CI <neon@kde.org>

Package: qt6-imageformats
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: qt6-image-formats-plugins (<< ${source:Version}~ciBuild)
Replaces: qt6-image-formats-plugins
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

Package: qt6-imageformats-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-imageformats (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 6 image formats development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files for the Qt 6 image formats plugins.

Package: qt6-imageformats-doc
Architecture: all
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-imageformats-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-imageformats-doc-html
Multi-Arch: foreign
Description: Qt 6 image formats documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 image formats plugins.

Package: qt6-image-formats-plugins
Architecture: all
Depends: qt6-imageformats, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-imageformats-doc-html
Architecture: all
Depends: qt6-imageformats-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-imageformats 6.10.1

=== debian/changelog ===
qt6-imageformats (6.10.1-0zneon+24.04+noble+stable+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 05:19:40 +0000

qt6-imageformats (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:08 +1000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~)
+               qt6-base-dev (>= 6.10.1~)
 Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                      qt6-tools (>= 6.10~) <!nodoc>
 Standards-Version: 4.6.2

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtimageformats-everywhere-src-([\d\.]+\d).tar.xz

## qt6-imageformats 6.10.2

=== debian/changelog ===
qt6-imageformats (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Jan 2026 17:20:41 +0100

=== debian/control ===
Source: qt6-imageformats
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.24~),
               libgl-dev,
               libmng-dev,
               libtiff-dev,
               libwebp-dev,
               ninja-build,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-base-private-dev (>= 6.10.2+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-imageformats

Package: qt6-image-formats-plugins
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Image Formats plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains plugins for adding support for ICNS, MNG, TGA, TIFF,
 WBMP and WEBP image formats.

Package: qt6-imageformats-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 image formats plugins.

Package: qt6-imageformats-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 image formats HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 image formats
 plugins.

=== debian/watch ===
Version: 5

Source: https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/
Matching-Pattern: qtimageformats-everywhere-src-(.*)\.tar\.xz
